Bug 1179997 - (CVE-2020-27839) VUL-0: CVE-2020-27839: ceph: ceph-dashboard: Don't use Browser's LocalStorage for storing JWT but Secure Cookies with proper HTTP Headers
(CVE-2020-27839)
VUL-0: CVE-2020-27839: ceph: ceph-dashboard: Don't use Browser's LocalStorage...
Status: RESOLVED UPSTREAM
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Volker Theile
Security Team bot
https://smash.suse.de/issue/273296/
CVSSv3.1:SUSE:CVE-2020-27839:4.0:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-14 11:44 UTC by Marcus Meissner
Modified: 2021-11-23 18:42 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2020-12-14 11:44:46 UTC
rh#1901330

Issue:

The JSON Web Token (JWT) used for user authentication is stored the by the frontend application in the browser’s localStorage.


Suggestion:

Do not store sensitive data in HTML5 localStorage, not even temporarily. Use cookies with appropriate security flags (secure, HttpOnly, SameSite).

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1901330
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-27839
Comment 1 Nathan Cutler 2020-12-14 13:19:07 UTC
upstream bug report: https://tracker.ceph.com/issues/44591
upstream patch:      https://github.com/ceph/ceph/pull/38259
Comment 2 Volker Theile 2021-02-22 11:24:36 UTC
Issue has been fixed in Ceph Upstream (Pacific, Octopus and Nautilus)

https://tracker.ceph.com/issues/44591
https://tracker.ceph.com/issues/48738
https://tracker.ceph.com/issues/48739
Comment 5 Swamp Workflow Management 2021-04-08 13:18:46 UTC
SUSE-SU-2021:1108-1: An update that solves two vulnerabilities and has 12 fixes is now available.

Category: security (moderate)
Bug References: 1172926,1176390,1176489,1176679,1176828,1177360,1177857,1178837,1178860,1178905,1178932,1179569,1179997,1182766
CVE References: CVE-2020-25678,CVE-2020-27839
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    ceph-15.2.9.83+g4275378de0-3.17.1
SUSE Enterprise Storage 7 (src):    ceph-15.2.9.83+g4275378de0-3.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-04-12 07:16:39 UTC
openSUSE-SU-2021:0544-1: An update that solves two vulnerabilities and has 12 fixes is now available.

Category: security (moderate)
Bug References: 1172926,1176390,1176489,1176679,1176828,1177360,1177857,1178837,1178860,1178905,1178932,1179569,1179997,1182766
CVE References: CVE-2020-25678,CVE-2020-27839
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    ceph-15.2.9.83+g4275378de0-lp152.2.12.1, ceph-test-15.2.9.83+g4275378de0-lp152.2.12.1
Comment 8 Swamp Workflow Management 2021-05-04 10:17:40 UTC
SUSE-SU-2021:1473-1: An update that solves three vulnerabilities and has 10 fixes is now available.

Category: security (important)
Bug References: 1145463,1174466,1177200,1178235,1178837,1178860,1178905,1179997,1180118,1180594,1181378,1183074,1183487
CVE References: CVE-2020-25678,CVE-2020-27839,CVE-2021-20288
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Manager Retail Branch Server 4.0 (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Manager Proxy 4.0 (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE Enterprise Storage 6 (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1
SUSE CaaS Platform 4.0 (src):    ceph-14.2.20.402+g6aa76c6815-3.60.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-05-04 10:26:11 UTC
SUSE-SU-2021:1472-1: An update that solves three vulnerabilities and has 16 fixes is now available.

Category: security (important)
Bug References: 1145463,1174466,1177200,1178016,1178216,1178235,1178657,1178837,1178860,1178905,1179997,1180118,1180594,1181183,1181378,1181665,1183074,1183487,1183600
CVE References: CVE-2020-25678,CVE-2020-27839,CVE-2021-20288
JIRA References: 
Sources used:
SUSE Enterprise Storage 6 (src):    deepsea-0.9.35+git.0.5a1dc9fe-3.34.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.